Subject: Re: [bug#42547] [PATCH] build-system/qt: Don't include useless inputs in wrapped variables.

From: "Hartmut Goebel" <[email-masked]>
Date: Mon, 11 Jan 2021 17:20:54 +0100

Hi,

I updated this patch together with other fixes for the qt-build service.
See http://issues.guix.gnu.org/45784 and following

TL;DR for this one:
- split refining what goes to XDG_DATA_DIRS into a separate patch
  see http://issues.guix.gnu.org/45787
- most other requested changes applied, see http://issues.guix.gnu.org/45786

Ludovic Courtès <[email-masked]> writes:

> Do you know what impact this has on the closure size of packages you
> looked at?

About 220 KB. This is roughly the size of cmake-minimal, which was
references via the env-var.

zeal      before: 1420.7 MiB   after : 1229.1 MiB
quassel   before: 1432.5 MiB   after : 1220.8 MiB

Maybe more important then the reduction of size: There are now much less
variables in the wrapper - it is much cleaner now.

> There are quite a few packages using ‘qt-build-system’.  Probably a
> change for ‘staging’ or ‘core-updates’?

This might still go into staging: Approx. 175 packages use the
qt-build-system as of today. Not checked for dependencies though.

> I’m also not a fan of ‘or-map’.

Lacking an alternative (for my limited scheme knowledge) I kept this.

Regards
hartmut